javax.swing.plaf.metal

## Class MetalIconFactory.TreeLeafIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FileIcon16
  - - javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

- All Implemented Interfaces:
    Serializable, Icon
  Enclosing class:
    MetalIconFactory

      public static class MetalIconFactory.TreeLeafIcon
      extends MetalIconFactory.FileIcon16

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeLeafIcon()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdditionalHeight()`
    `int` | `getShift()`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FileIcon16

      `getIconHeight, getIconWidth, paintIcon`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeLeafIcon

          public TreeLeafIcon()

  - ### Method Detail

    - #### getShift

          public int getShift()

      Overrides:
        `getShift` in class `MetalIconFactory.FileIcon16`

    - #### getAdditionalHeight

          public int getAdditionalHeight()

      Overrides:
        `getAdditionalHeight` in class `MetalIconFactory.FileIcon16`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.